Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

  • Ant 1.6-1.8 (TeamCity comes bundled with Ant 1.8.0)
  • Maven2 Maven versions 2.0.x, 2.x, 3.x (known at the moment of the TeamCity release). Java 1.5 and higher supported. (TeamCity comes bundled with Maven 2.2.1)
  • IntelliJ IDEA project runner
  • Gradle (requires Gradle 0.9-rc-1 or higher)
  • Java Inspections and Java Duplicates based on IntelliJ IDEA (require Java 1.6)

...

VCS Supported Via Separate Download Plugins

  • AccuRev by third party
    Anchor
    issuetracker
    issuetracker

...

IDE

Supported VCS

Eclipse

  • Subversion 1.4-1.6 (with Subclipse and Subversive integration plugins).
  • Perforce (P4WSAD 2008.1 - 2010.1 integration plugin)
  • ClearCase
  • CVS
  • Git (EGit 0.6 - 0.9 integration plugin)
    see also

IntelliJ IDEA

  • ClearCase
  • Git (remote run only)
  • Perforce
  • StarTeam
  • Subversion
  • Visual SourceSafe

MS Visual Studio

  • Subversion 1.4 and later
  • Team Foundation Server 2005 and later
  • Perforce 2006 and later

...